/*
	File:		SampleDriver.h

	Contains:	Sample code for a PCI device driver that supports PCI power off.
	
				You may incorporate this sample code into your applications without
				restriction, though the sample code has been provided "AS IS" and the 
				responsibility for its operation is 100% yours.  However, what you are 
				not permitted to do is to redistribute the source as "DSC Sample Code" 
				after having made changes. If you're going to re-distribute the source, 
				we require that you make it clear in the source that the code was 
				descended from Apple Sample Code, but that you've made changes.

	Version:	1.0

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				xxx put dri here xxx

		Other Contact:		xxx put other contact here xxx

		Technology:			xxx put technology here xxx

	Writers:

		(SAJ)	Scott Johnson
		(BB)	Bob Bradley

	Change History (most recent first):

        <1>     11/30/99    SAJ     Added last four prototypes.
		<0+>	 7/11/99	BB		First checked in.
*/

#pragma once

/*==================================================================================================
	Constants
==================================================================================================*/

enum
{
	kDriverMajorVersion				= 0x1,
	kDriverMinorAndBugFixVersion	= 0x00,
	kDriverVersionStage				= developStage,
	kDriverNonReleaseVersion		= 0x1
};

/*==================================================================================================
	Prototypes
==================================================================================================*/

OSErr			DoDriverIO( AddressSpaceID 		spaceID, 
							IOCommandID 		commandID, 
							IOCommandContents 	contents, 
							IOCommandCode 		code, 
							IOCommandKind 		kind );

pascal OSStatus	SampleDriverPowerHandler( UInt32 		inMessage, 
										  void *		ioParam, 
										  UInt32 		inRefCon, 
										  RegEntryID *	inRegID );

Boolean			SampleDriverSupportsPCIPowerOff( void );
Boolean 		OurDeviceWokeMachine( void );
OSStatus 		CanWeSleepDeviceNow( void );
void 			PutOurDeviceToSleep( void );
void 			WakeOurDevice( void );
