#
#	File:		SampleDriver.make
#
#	Contains:	Sample code for a PCI device driver that supports PCI power off.
#	
#				You may incorporate this sample code into your applications without
#				restriction, though the sample code has been provided "AS IS" and the 
#				responsibility for its operation is 100% yours.  However, what you are 
#				not permitted to do is to redistribute the source as "DSC Sample Code" 
#				after having made changes. If you're going to re-distribute the source, 
#				we require that you make it clear in the source that the code was 
#				descended from Apple Sample Code, but that you've made changes.
#
#	Version:	1.0
#
#	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.
#
#	File Ownership:
#
#		DRI:				xxx put dri here xxx
#
#		Other Contact:		xxx put other contact here xxx
#
#		Technology:			xxx put technology here xxx
#
#	Writers:
#
#       (SAJ)   Scott Johnson
#		(BB)	Bob Bradley
#
#	Change History (most recent first):
#
#       <1>     11/30/99    SAJ     Updated to include NameRegistryLib.
#		<0+>	 7/11/99	BB		First checked in.
#

SampleDriverCompiler 		= 	MrC
SampleDriverLinker 			= 	PPCLink

SampleDriverCompileOptions	= 	-proto strict -ansi on -i {SampleDriverDir}
SampleDriverLinkOptions		= 	-m DoDriverIO					
								-xm sharedlibrary				
								-d								
								-w								
								-share global					
								-t 'ndrv' -c 'Samp'				
								-map {MapDir}SampleDriver.map

#===================================================================================================

SampleDriverMakeFile = 							
	"{SampleDriverDir}"SampleDriver.make

SampleDriverObjects = 							
	"{ObjDir}SampleDriver.c.o"

SampleDriverLibraries = 						
	"{StubLibraries}"NameRegistryLib			
	"{StubLibraries}"DriverServicesLib

SampleDriverIncludeDependencies =	 			
	"{CIncludes}Devices.h"						
	"{CIncludes}DriverFamilyMatching.h"			
	"{CIncludes}NameRegistry.h"					
	"{CIncludes}Power.h"						
	"{SampleDriverDir}SampleDriver.h"

SampleDriverDependencies = 						
	{SampleDriverMakeFile}						
	{SampleDriverIncludeDependencies}

#===================================================================================================

SampleDriver  "{LibDir}"SampleDriver
	Beep 1300,3,255 0,1,255  1200,3,255 0,1,255 1100,3,255 0,1,255  1000,3,255

"{LibDir}"SampleDriver		{SampleDriverMakeFile}		
							{SampleDriverObjects}		
							{SampleDriverLibraries}
	PPCLink							
		{SampleDriverLibraries}		
		{SampleDriverObjects}		
		{SampleDriverLinkOptions}	
		-weaklib DriverServicesLib	
		-o {Targ}

#===================================================================================================

"{ObjDir}SampleDriver.c.o"		"{SampleDriverDir}SampleDriver.c"	
								{SampleDriverDependencies}
	{SampleDriverCompiler}	"{SampleDriverDir}SampleDriver.c" {SampleDriverCompileOptions} -o {Targ}
